package dev.fitko.fitconnect.api.domain.model.event.problems;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * Superclass for all FIT-Connect problems.
 *
 * @see <a href="https://docs.fitko.de/fit-connect/docs/sending/accept-reject#aufbau">FIT-Connect Problems</a>
 */
@Data
@AllArgsConstructor
public class Problem {
    @JsonIgnore
    public static final String SCHEMA_URL = "https://schema.fitko.de/fit-connect/events/problems/";

    private final String type;
    private final String title;
    private final String detail;
    private final String instance;
}
