package dev.fitko.fitconnect.api.domain.model.event.problems.attachment;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class IncorrectAttachmentAuthenticationTag extends Problem {

    private static final String type = SCHEMA_URL + "incorrect-authentication-tag";
    private static final String title = "Authentication-Tag ungültig";
    private static final String detail = "Das Authentication-Tag der Anlage %s ist ungültig.";
    private static final String instance = "attachment:%s";

    public IncorrectAttachmentAuthenticationTag(final String attachmentId) {
        super(type, title, format(detail, attachmentId), format(instance, attachmentId));
    }
}
