package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class UnsupportedMetadataSchema extends Problem {

    private static final String type = SCHEMA_URL + "unsupported-schema";
    private static final String title = "Metadatenschema nicht unterstützt";
    private static final String detail = "Die angegebene Metadatenschema-URI ('%s') ist keines der unterstützten Metadatenschemas.";
    private static final String instance = "metadata";

    public UnsupportedMetadataSchema(final String metadataSchemaUri) {
        super(type, title, format(detail, metadataSchemaUri), instance);
    }
}
