package dev.fitko.fitconnect.client.cli.commands;

import com.beust.jcommander.Parameter;
import com.beust.jcommander.Parameters;
import dev.fitko.fitconnect.client.cli.util.UUIDConverter;
import dev.fitko.fitconnect.client.cli.util.UUIDValidator;

import java.util.UUID;

@Parameters(
        commandNames = {GetAllSubmissionsCommand.GET_ALL_CMD_NAME},
        commandDescription = "Fetches all available submission for a destination",
        separators = "="
)
public class GetAllSubmissionsCommand {

    public static final String GET_ALL_CMD_NAME = "all";

    @Parameter(names = { "--destinationId" }, description = "Unique destination identifier in UUID format", converter = UUIDConverter.class, validateWith = UUIDValidator.class, arity = 1, required = true)
    public
    UUID destinationId;

    @Parameter(names = { "--target" }, description = "Target folder where attachments and data is written to", arity = 1)
    public
    String targetFolder;
}
