package dev.fitko.fitconnect.client.cli.commands;

import com.beust.jcommander.Parameter;
import com.beust.jcommander.Parameters;
import dev.fitko.fitconnect.client.cli.util.UUIDConverter;
import dev.fitko.fitconnect.client.cli.util.UUIDValidator;

import java.util.UUID;


@Parameters(
        commandNames = {GetOneSubmissionCommand.GET_CMD_NAME},
        commandDescription = "Fetches one submission by id",
        separators = "="
)
public class GetOneSubmissionCommand {

    public static final String GET_CMD_NAME = "get";

    @Parameter(names = { "--submissionId" }, description = "Unique submission identifier in UUID format", converter = UUIDConverter.class, validateWith = UUIDValidator.class, arity = 1, required = true)
    public
    UUID submissionId;

    @Parameter(names = { "--target" }, description = "Target folder where attachments and data is written to", arity = 1)
    public
    String targetFolder;
}
