package dev.fitko.fitconnect.client.cli.commands;

import com.beust.jcommander.Parameter;
import com.beust.jcommander.Parameters;
import dev.fitko.fitconnect.client.cli.util.UUIDConverter;
import dev.fitko.fitconnect.client.cli.util.UUIDValidator;

import java.util.UUID;

@Parameters(
        commandNames = {ListAllSubmissionsCommand.LIST_CMD_NAME},
        commandDescription = "Lists available submissions",
        separators = "="
)
public class ListAllSubmissionsCommand {

    public static final String LIST_CMD_NAME = "list";

    @Parameter(names = { "--destinationId" }, description = "Unique destination identifier in UUID format", converter = UUIDConverter.class,  validateWith = UUIDValidator.class, arity = 1, required = true)
    public UUID destinationId;
}
