package dev.fitko.fitconnect.client.sender.model;

import dev.fitko.fitconnect.api.domain.model.submission.ServiceType;
import dev.fitko.fitconnect.client.sender.EncryptedSubmissionBuilder;
import lombok.Getter;

import java.util.Map;
import java.util.UUID;

@Getter
public class EncryptedSubmissionPayload {

    private final UUID destinationId;
    private final Map<UUID, String> encryptedAttachments;
    private final String encryptedData;
    private final String encryptedMetadata;
    private final ServiceType serviceType;

    public EncryptedSubmissionPayload(final EncryptedSubmissionBuilder builder) {
        destinationId = builder.getDestinationId();
        encryptedAttachments = builder.getEncryptedAttachments();
        encryptedData = builder.getEncryptedData();
        encryptedMetadata = builder.getEncryptedMetadata();
        serviceType = builder.getServiceType();
    }

}
