package dev.fitko.fitconnect.client.sender.model;

import dev.fitko.fitconnect.api.domain.model.metadata.data.MimeType;
import dev.fitko.fitconnect.api.domain.model.submission.ServiceType;
import dev.fitko.fitconnect.client.sender.SubmissionBuilder;
import lombok.Getter;

import java.io.File;
import java.util.List;
import java.util.UUID;

@Getter
public class SubmissionPayload {

    private final UUID destinationId;
    private final String data;
    private final MimeType dataMimeType;
    private final List<File> attachments;
    private final ServiceType serviceType;

    public SubmissionPayload(final SubmissionBuilder builder) {
        destinationId = builder.getDestinationId();
        data = builder.getData();
        dataMimeType = builder.getDataMimeType();
        attachments = builder.getAttachments();
        serviceType = builder.getServiceType();
    }
}
