package dev.fitko.fitconnect.client.sender.steps;

import dev.fitko.fitconnect.api.domain.model.submission.ServiceType;

public interface ServiceTypeStep {

    /**
     * Sets a {@link ServiceType} for a submission
     *
     * @param name     a name of the service
     * @param leikaKey unique identifier of the service in the form <b>urn:de:fim:leika:leistung:</b>
     * @return next step to add attachments
     * @see <a href="https://fimportal.de/">Search For Service Types</a>
     */
    BuildStep withServiceType(String name, String leikaKey);

    /**
     * Sets a {@link ServiceType} for a submission
     *
     * @param name        a name of the service
     * @param description description of the service
     * @param leikaKey    unique identifier of the service in the form <b>urn:de:fim:leika:leistung:</b>
     * @return next step to add attachments
     * @see <a href="https://fimportal.de/">Search For Service Types</a>
     */
    BuildStep withServiceType(String name, String description, String leikaKey);
}
