package dev.fitko.fitconnect.core.http;

import dev.fitko.fitconnect.api.config.BuildInfo;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpRequest;
import org.springframework.http.client.ClientHttpRequestExecution;
import org.springframework.http.client.ClientHttpRequestInterceptor;
import org.springframework.http.client.ClientHttpResponse;

import java.io.IOException;

public class UserAgentInterceptor implements ClientHttpRequestInterceptor {

    private final String productName;
    private final String productVersion;
    private final String commit;

    public UserAgentInterceptor(BuildInfo buildInfo) {
        this.productName = buildInfo.getProductName();
        this.productVersion = buildInfo.getProductVersion();
        this.commit = buildInfo.getCommit();
    }

    @Override
    public ClientHttpResponse intercept(final HttpRequest req, final byte[] reqBody,
                                        final ClientHttpRequestExecution ex) throws IOException {

        req.getHeaders().set(HttpHeaders.USER_AGENT, String.format("%s/%s (commit:%s;os:%s)",
                this.productName, this.productVersion, this.commit, System.getProperty("os.name")));

        return ex.execute(req, reqBody);
    }
}
