package dev.fitko.fitconnect.core.util;

import java.time.Duration;

final class Formatter {

    private Formatter() {
    }

    /**
     * Formats ms to sec:ms or min:sec depending on the elapsed time.
     *
     * @param ms milliseconds that should be formatted
     * @return formatted string of the input ms
     */
    static String formatMillis(final long ms) {
        final Duration dur = Duration.ofMillis(ms);
        if (dur.getSeconds() >= 60) {
            return String.format("%02d:%02d min", dur.getSeconds() / 60, dur.getSeconds() % 60);
        } else {
            return String.format("%02d:%02d sec", dur.getSeconds(), dur.toMillis());
        }
    }
}
